#include <stdio.h>

int             pr(int,...);

void            main(void)
{
    pr(3, 'a', 'b', 'c');
}

/* ellipsis test function */
int             ellipsis2(
	int nitems,		/* number of items */

	/* the long and pestillent list of extra args */
	...
)
{
    /* perverse but that's our commenting style */
}

/* ellipsis test function */
int             ellipsis3(
	int nitems,		/* number of items */

	...
	/* the long and pestillent list of extra args (comment after) */
)
{
    /* perverse but that's our commenting style */
}
